## org.apache.axis.components.script
Interface Script

All Known Implementing Classes:
  BSF

public interface Script

This interface defines a Script module functionality

Since:
  2.0
Author:
  Davanum Srinivas

Method Summary
`java.lang.Object` `run(java.lang.String language, java.lang.String name, java.lang.String scriptStr, java.lang.String methodName, java.lang.Object[] argValues)`

Method Detail

### run

    public java.lang.Object run(java.lang.String language,
                                java.lang.String name,
                                java.lang.String scriptStr,
                                java.lang.String methodName,
                                java.lang.Object[] argValues)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.